Bug 962853 - resourceId is type of String
resourceId is type of String
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 11:05 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:09:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-14 11:05:34 EDT
Description of problem: When I request resource in json format, resourceId is String, but it should be number


Version-Release number of selected component (if applicable):
RHQ 4.8-master

How reproducible:always


Steps to Reproduce:
1. GET /rest/resource/10014
  
Actual results:
{"resourceName":"RHQ Agent","resourceId":"10014","typeName":"RHQ Agent","typeId":10155,"pluginName":"RHQAgent","parentId":10011,"status":"COMMITTED","links":[{"operationDefinitions":{"href":"http://10.16.23.104:7080/rest/operation/definitions?resourceId=10014"}},{"self":{"href":"http://10.16.23.104:7080/rest/resource/10014"}},{"schedules":{"href":"http://10.16.23.104:7080/rest/resource/10014/schedules"}},{"availability":{"href":"http://10.16.23.104:7080/rest/resource/10014/availability"}},{"alerts":{"href":"http://10.16.23.104:7080/rest/resource/10014/alerts"}},{"parent":{"href":"http://10.16.23.104:7080/rest/resource/10011/"}},{"coregui":{"href":"http://10.16.23.104:7080/coregui/#Resource/10014"}}],"ancestry":"10008_:_10011_:_lzoubek2.bc.jonqe.lab.eng.bos.redhat.com"}


Expected results:
"resourceId" is rendered as 10014 instead of "10014"
Comment 1 Heiko W. Rupp 2013-05-21 16:12:40 EDT
master e5d22cac1559f8f

It was internally already an int, but as the very early version of the api returned a String I kept that around. 
Is changed now.
Comment 2 Heiko W. Rupp 2013-08-31 06:09:57 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.